CVE-2023-4132

NameCVE-2023-4132
DescriptionA use-after-free vulnerability was found in the siano smsusb module in the Linux kernel. The bug occurs during device initialization when the siano device is plugged in. This flaw allows a local user to crash the system, causing a denial of service condition.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, GitHub advisories/code/issues, web search, more)
ReferencesDLA-3623-1, DSA-5480-1, DSA-5492-1, ELA-991-1

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
linux (PTS)jessie, jessie (lts)3.16.84-1vulnerable
stretch (security)4.9.320-2vulnerable
stretch (lts), stretch4.9.320-3vulnerable
buster4.19.249-2vulnerable
buster (security)4.19.304-1vulnerable
bullseye5.10.209-2fixed
bullseye (security)5.10.216-1fixed
bookworm6.1.76-1fixed
bookworm (security)6.1.90-1fixed
trixie6.7.12-1fixed
sid6.8.11-1fixed
linux-5.10 (PTS)jessie, jessie (lts)5.10.216-1~deb8u1fixed
stretch (lts), stretch5.10.216-1~deb9u1fixed
buster (security)5.10.216-1~deb10u1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
linuxsourcejessie(unfixed)end-of-life
linuxsourcestretch(unfixed)end-of-life
linuxsourcebullseye5.10.191-1DSA-5480-1
linuxsourcebookworm6.1.52-1DSA-5492-1
linuxsource(unstable)6.4.4-1
linux-5.10sourcejessie5.10.197-1~deb8u1ELA-991-1
linux-5.10sourcestretch5.10.197-1~deb9u1ELA-991-1
linux-5.10sourcebuster5.10.197-1~deb10u1DLA-3623-1

Notes

https://bugzilla.redhat.com/show_bug.cgi?id=2221707
https://git.kernel.org/linus/ebad8e731c1c06adf04621d6fd327b860c0861b5 (6.3-rc1)
https://git.kernel.org/linus/6f489a966fbeb0da63d45c2c66a8957eab604bf6 (6.5-rc1)

Search for package or bug name: Reporting problems